# Enum Exposure

java.lang.Object
java.lang.Enum<Exposure>
com.codename1.intents.Exposure

All Implemented Interfaces:
  `Comparable<Exposure>`

public enum Exposure extends Enum<Exposure>

Which consumers an intent is offered to.

The default is `ASSISTANT` alone, and that default is deliberate. An assistant invokes an intent because a person asked for it by name, with the platform mediating confirmation for anything destructive. A language model invokes one because it inferred that it should, and it can infer wrong. Those are different trust levels, so widening from one to the other is an explicit act rather than something an app gets by accident.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASSISTANT`
  Offered to the platform: Siri and Spotlight on iOS, launcher shortcuts on Android, the Intents window in the simulator.
  `MODEL`
  Offered to language models through `Intents.asTools()`, which projects the declaration down to a `com.codename1.ai.Tool`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Exposure`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Exposure[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ASSISTANT

    public static final Exposure ASSISTANT
    Offered to the platform: Siri and Spotlight on iOS, launcher shortcuts on Android, the Intents window in the simulator.

  - ### MODEL

    public static final Exposure MODEL
    Offered to language models through `Intents.asTools()`, which projects the declaration down to a `com.codename1.ai.Tool`. Nothing is exposed until the application actually hands those tools to a model or an MCP host, so this marks an intent as eligible, not as published.

- ## Method Details

  - ### values

    public static Exposure[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Exposure valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null